document.addEventListener('DOMContentLoaded', function () {
  const form = document.getElementById('record-form');
  const entriesList = document.getElementById('entries-list');

  form.addEventListener('submit', function (e) {
    e.preventDefault();

    const activity = document.getElementById('activity').value;
    const time = document.getElementById('time').value;
    const notes = document.getElementById('notes').value;

    const entry = document.createElement('div');
    entry.classList.add('entry');
    entry.innerHTML = `
      <div>
        <span class="entry-time">${time}</span>
        <span class="entry-activity">${activity}</span>
      </div>
      <div class="entry-notes">${notes}</div>
    `;

    entriesList.prepend(entry);

    form.reset();
  });
});